pacchetto kodi-platform-git

Segnalazioni di pacchetti utili, richieste di creazione pacchetti e supporto tecnico
Rispondi
clastilo
Newbie
Messaggi: 2
Iscritto il: 8 gennaio 2016, 19:47
Architettura: x86_64 (64bit)

pacchetto kodi-platform-git

Messaggio da clastilo » 8 gennaio 2016, 20:02

Salve a tutti,
sto avendo dei problemi nell'installare da aur il pacchetto kodi-platform-git. Ogni volta che provo a compilarlo con yaourt mi esce

Codice: Seleziona tutto

CMake Error at CMakeLists.txt:11 (find_package):                                                                                                                                                                                            
  By not providing "Findp8-platform.cmake" in CMAKE_MODULE_PATH this project                                                                                                                                                                
  has asked CMake to find a package configuration file provided by                                                                                                                                                                          
  "p8-platform", but CMake did not find one.                                                                                                                                                                                                
                                                                                                                                                                                                                                            
  Could not find a package configuration file provided by "p8-platform" with                                                                                                                                                                
  any of the following names:                                                                                                                                                                                                               
                                                                                                                                                                                                                                            
    p8-platformConfig.cmake
    p8-platform-config.cmake

  Add the installation prefix of "p8-platform" to CMAKE_PREFIX_PATH or set
  "p8-platform_DIR" to a directory containing one of the above files.  If
  "p8-platform" provides a separate development package or SDK, be sure it
  has been installed.
CMake Error at CMakeLists.txt:11 (find_package):                                                                                                                                                                                            
  By not providing "Findp8-platform.cmake" in CMAKE_MODULE_PATH this project                                                                                                                                                                
  has asked CMake to find a package configuration file provided by                                                                                                                                                                          
  "p8-platform", but CMake did not find one.                                                                                                                                                                                                
                                                                                                                                                                                                                                            
  Could not find a package configuration file provided by "p8-platform" with                                                                                                                                                                
  any of the following names:                                                                                                                                                                                                               
                                                                                                                                                                                                                                            
    p8-platformConfig.cmake
    p8-platform-config.cmake

  Add the installation prefix of "p8-platform" to CMAKE_PREFIX_PATH or set
  "p8-platform_DIR" to a directory containing one of the above files.  If
  "p8-platform" provides a separate development package or SDK, be sure it
  has been installed.
Potete dirmi come risolvere?
grazie mille

Avatar utente
TheSaint
Robin Hood
Messaggi: 7849
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: pacchetto kodi-platform-git

Messaggio da TheSaint » 8 gennaio 2016, 20:51

Prova a scrivere all' autore.
F the saint
13 anni da questo forum ;)

pineout
Little John
Messaggi: 1264
Iscritto il: 10 luglio 2014, 9:08

Re: pacchetto kodi-platform-git

Messaggio da pineout » 9 gennaio 2016, 12:44

Hai provato a cambiare le dipendenze del pkgbuild?
libplatform --> libplatform-git

Vedo un flag out of date, ma forse riguarda solo il pkgbuild

Avatar utente
TheSaint
Robin Hood
Messaggi: 7849
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: pacchetto kodi-platform-git

Messaggio da TheSaint » 9 gennaio 2016, 13:34

Credo che è come dice pineout. Nella mia ricerca ero arrivato a Pulse-height, come richiede il pacchetto.
F the saint
13 anni da questo forum ;)

clastilo
Newbie
Messaggi: 2
Iscritto il: 8 gennaio 2016, 19:47
Architettura: x86_64 (64bit)

Re: pacchetto kodi-platform-git

Messaggio da clastilo » 12 gennaio 2016, 19:55

Ora me lo ha compilato. Grazie a tutti per l'aiuto

Avatar utente
TheSaint
Robin Hood
Messaggi: 7849
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: pacchetto kodi-platform-git

Messaggio da TheSaint » 12 gennaio 2016, 20:31

Risotto !!! :D :D

Ho annotato su AUR
F the saint
13 anni da questo forum ;)

Avatar utente
xel
Novello Arciere
Messaggi: 42
Iscritto il: 23 gennaio 2012, 3:28

Re: pacchetto kodi-platform-git

Messaggio da xel » 8 marzo 2016, 14:44

Codice: Seleziona tutto

CMake Error at CMakeLists.txt:11 (find_package):
  By not providing "Findplatform.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "platform",
  but CMake did not find one.

  Could not find a package configuration file provided by "platform" with any
  of the following names:

    platformConfig.cmake
    platform-config.cmake

  Add the installation prefix of "platform" to CMAKE_PREFIX_PATH or set
  "platform_DIR" to a directory containing one of the above files.  If
  "platform" provides a separate development package or SDK, be sure it has
  been installed.
Non riesco ad installare in Jarvis... suggerimenti?
Thanks!
Niente lacrime per favore; non si deve sprecare così la sofferenza. (Pinhead)

Avatar utente
TheSaint
Robin Hood
Messaggi: 7849
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: pacchetto kodi-platform-git

Messaggio da TheSaint » 8 marzo 2016, 14:55

Ma è riferito a kodi ?
F the saint
13 anni da questo forum ;)

pineout
Little John
Messaggi: 1264
Iscritto il: 10 luglio 2014, 9:08

Re: pacchetto kodi-platform-git

Messaggio da pineout » 8 marzo 2016, 21:27

Sembra un errore sempre collegato, che libplatform e' indicato nel PKGBUILD?

Avatar utente
xel
Novello Arciere
Messaggi: 42
Iscritto il: 23 gennaio 2012, 3:28

Re: pacchetto kodi-platform-git

Messaggio da xel » 10 marzo 2016, 4:51

Sì, è riferito a kodi (Jarvis).

il pkgbuild è questo

Codice: Seleziona tutto

# Maintainer: Michael Lass <bevan@bi-co.net>

# This PKGBUILD is maintained on github:
# https://github.com/michaellass/AUR

###############################################################################
# INSTRUCTIONS                                                                #
# ------------                                                                #
#                                                                             #
# API changes between different Kodi versions make it necessary to specify    #
# the version of Kodi you want to build this package for. You can choose      #
# between Isengard (15), Jarvis (16) and git master (99). Do so in the        #
# following line.                                                             #
###############################################################################

API=16

pkgname=kodi-platform-git
pkgver=r38.15edaf7
pkgrel=1
pkgdesc='Kodi platform support library'
arch=('armv7h' 'i686' 'x86_64')
url="https://github.com/xbmc/kodi-platform"
license=('GPL')
makedepends=('cmake' 'git')
depends=('kodi')
provides=('kodi-platform')
conflicts=('kodi-platform')
source=("${pkgname}::git+https://github.com/xbmc/kodi-platform.git")
md5sums=('SKIP')

# Corresponding commit IDs are taken from
# https://github.com/xbmc/xbmc/blob/$BRANCH/project/cmake/addons/depends/common/kodi-platform/kodi-platform.txt
case "$API" in
  15)  depends+=('libplatform-legacy')
       source[0]="${pkgname}::git+https://github.com/xbmc/kodi-platform.git#commit=054a42f66" ;;
  16)  depends+=('libplatform-legacy')
       source[0]="${pkgname}::git+https://github.com/xbmc/kodi-platform.git#commit=15edaf78d" ;;
  99)  depends+=('libplatform') ;;
  *)   error "Unknown API version. Follow instructions in PKGBUILD." && false
esac

pkgver() {
  cd "$pkgname"
  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

build() {
  mkdir -p "$pkgname/build"
  cd "$pkgname/build"

  cmake \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_INSTALL_LIBDIR=/usr/lib \
    -DCMAKE_INSTALL_LIBDIR_NOARCH=/usr/lib \
    -DCMAKE_BUILD_TYPE=Release \
    ..
  make
}

package() {
  cd "$pkgname/build"
  make DESTDIR="$pkgdir" install
}
Grazie!
Niente lacrime per favore; non si deve sprecare così la sofferenza. (Pinhead)

Avatar utente
TheSaint
Robin Hood
Messaggi: 7849
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: pacchetto kodi-platform-git

Messaggio da TheSaint » 10 marzo 2016, 5:53

A me l' ha compilato.
Lo puoi scaricare qui
Pacchetti richiesti durante il processo

Codice: Seleziona tutto

libplatform-legacy freeglut-3.0.0-1  libmicrohttpd-0.9.48-1  mesa-demos-8.3.0-1  python2-pybluez-0.20-4 python2-simplejson-3.7.2-2  sdl2-2.0.4-2  tinyxml-2.6.2-4  kodi-16.0-2
F the saint
13 anni da questo forum ;)

Avatar utente
xel
Novello Arciere
Messaggi: 42
Iscritto il: 23 gennaio 2012, 3:28

Re: pacchetto kodi-platform-git

Messaggio da xel » 11 marzo 2016, 15:06

ok kodi platform installato thanks! Però mi da lo stesso errore col pachetto simple-iptv

Codice: Seleziona tutto

==> Scaricamento del PKGBUILD di kodi-addon-pvr-iptvsimple-git da AUR...
x .SRCINFO
x PKGBUILD
ogarcia commented on 2016-02-14 12:45			 
Miss libplatform-legacy dependency!

ant0nio commented on 2016-02-21 11:42			 
Missing dependency: kodi-platform

Is there something i'm missing?

I use pacaur to install it:

pacaur -S kodi-addon-pvr-iptvsimple-git
:: Package(s) kodi-addon-pvr-iptvsimple-git not found in repositories, trying AUR...
:: resolving dependencies...
:: no results found for kodi-platform

ant0nio commented on 2016-02-21 11:50			 
rookie error... i just found my mistake... the kodi-platform should also be compile from aur.

lordzahl commented on 2016-02-25 09:52			 
Hi,
Kodi has been updated to 16/Jarvis. Please update the build script to use the Jarvis branch instead of the old Isengard branch.
(Line 17 in the PKGBUILD)
I did it on install and it now works again.
Thank you!

CryptoManiac commented on 2016-03-03 14:52			 
@lordzahl thank you!
Package was updated

kodi-addon-pvr-iptvsimple-git r76.ae9bc1d-1  (2016-03-03 14:47)
( Pacchetto non supportato: Potenzialmente pericoloso! )
==> Modificare PKGBUILD  [S/n] ("A" per annullare)
==> ----------------------------------------------
==> n

==> Dipendenze di kodi-addon-pvr-iptvsimple-git
 - kodi (già installato)
 - cmake (già installato) [makedepend]
 - git (già installato) [makedepend]
 - kodi-platform-git (già installato) [makedepend]


==> Continuare la compilazione di kodi-addon-pvr-iptvsimple-git [S/n]
==> -----------------------------------------------------------------
==> s

==> Compilazione e installazione del pacchetto
==> Creazione del pacchetto: kodi-addon-pvr-iptvsimple-git r76.ae9bc1d-1 (ven 11 mar 2016, 15.03.09, CET)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Download dei sorgenti in corso...
  -> Clonazione del repository pvr.iptvsimple git in corso...
Clone nel repository spoglio '/tmp/yaourt-tmp-xel/aur-kodi-addon-pvr-iptvsimple-git/pvr.iptvsimple'...
remote: Counting objects: 1309, done.
remote: Compressing objects: 100% (14/14), done.
remote: Total 1309 (delta 5), reused 0 (delta 0), pack-reused 1295
Ricezione degli oggetti: 100% (1309/1309), 462.06 KiB | 173.00 KiB/s, done.
Risoluzione dei delta: 100% (635/635), done.
Checking connectivity... fatto.
==> Validazione di source file con md5sums...
    pvr.iptvsimple ... Ignorato
==> Estrazione dei sorgenti in corso...
  -> Creazione di una copia di lavoro del repository pvr.iptvsimple git in corso...
Cloning into 'pvr.iptvsimple'...
fatto.
Switched to a new branch 'makepkg'
==> Avvio di pkgver() in corso...
==> Versione aggiornata: kodi-addon-pvr-iptvsimple-git r100.ae9bc1d-1
==> Avvio di build() in corso...
-- The C compiler identification is GNU 5.3.0
-- The CXX compiler identification is GNU 5.3.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Checking to see if CXX compiler accepts flag -flto
-- Checking to see if CXX compiler accepts flag -flto - yes
CMake Error at CMakeLists.txt:9 (find_package):
  By not providing "Findplatform.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "platform",
  but CMake did not find one.

  Could not find a package configuration file provided by "platform" with any
  of the following names:

    platformConfig.cmake
    platform-config.cmake

  Add the installation prefix of "platform" to CMAKE_PREFIX_PATH or set
  "platform_DIR" to a directory containing one of the above files.  If
  "platform" provides a separate development package or SDK, be sure it has
  been installed.


-- Configuring incomplete, errors occurred!
Non ne vedo la fine... :cry:
Niente lacrime per favore; non si deve sprecare così la sofferenza. (Pinhead)

Avatar utente
TheSaint
Robin Hood
Messaggi: 7849
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: pacchetto kodi-platform-git

Messaggio da TheSaint » 12 marzo 2016, 5:43

Hai installato libplatform-git ?
F the saint
13 anni da questo forum ;)

Avatar utente
xel
Novello Arciere
Messaggi: 42
Iscritto il: 23 gennaio 2012, 3:28

Re: pacchetto kodi-platform-git

Messaggio da xel » 14 marzo 2016, 3:02

stesso errore... roba da matti!
Niente lacrime per favore; non si deve sprecare così la sofferenza. (Pinhead)

Rispondi